package com.gingersoft.gsa.cloud.pay.pos.hyweb.bean.response.pos;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/7/16
 * 修订历史：2019/7/16
 * 描述：
 */
@Data
public class AdjustTipRespose extends HywebPosResponse implements Parcelable {

    /**
     * EVENT_NAME : ADJUST_RESP
     * STATUS : 00
     * PAYMENT_TYPE : VC
     * RESP_CODE : C1000
     * TIPS : -56
     * HOST_REF : 729706000007
     * TXN_TIME : 171053
     * TXN_DATE : 20190725
     * TXN_ID : PAY201907251706431518
     * TXN_AMT : 58
     */

    private String PAYMENT_TYPE;
    private String RESP_CODE;
//    private double TIPS;
    private String HOST_REF;
    private String TXN_TIME;
    private String TXN_DATE;

    public AdjustTipRespose() {
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        super.writeToParcel(dest, flags);
        dest.writeString(this.PAYMENT_TYPE);
        dest.writeString(this.RESP_CODE);
        dest.writeString(this.HOST_REF);
        dest.writeString(this.TXN_TIME);
        dest.writeString(this.TXN_DATE);
    }

    protected AdjustTipRespose(Parcel in) {
        super(in);
        this.PAYMENT_TYPE = in.readString();
        this.RESP_CODE = in.readString();
        this.HOST_REF = in.readString();
        this.TXN_TIME = in.readString();
        this.TXN_DATE = in.readString();
    }

    public static final Creator<AdjustTipRespose> CREATOR = new Creator<AdjustTipRespose>() {
        @Override
        public AdjustTipRespose createFromParcel(Parcel source) {
            return new AdjustTipRespose(source);
        }

        @Override
        public AdjustTipRespose[] newArray(int size) {
            return new AdjustTipRespose[size];
        }
    };
}
